#pragma once

#include "message_bus/pipeline/PipelineContext.h"

namespace softbus::message_bus::pipeline::stages::validators
{

class IValidator
{
public:
    virtual ~IValidator() = default;
    virtual bool validate(softbus::message_bus::pipeline::PipelineContext& ctx) = 0;
};

} // namespace softbus::message_bus::pipeline::stages::validators
